commit dfb8f72b2237627b26767d1e803e8ed95ad659d2
Author: Wolfgang Breyha <wbreyha@gmx.net>
Date:   Tue Jan 7 13:03:18 2020 +0000

    SPF: fix result for case of only non-spf TXT RRs.  Bug 2499
    
    (cherry picked from commit 67794d2b830fc580f87b0635718d95e32b467be1)

diff --git a/src/src/spf.c b/src/src/spf.c
index 8ead817b9..12b756b46 100644
--- a/src/src/spf.c
+++ b/src/src/spf.c
@@ -139,7 +139,12 @@ for (dns_record * rr = dns_next_rr(dnsa, &dnss, RESET_ANSWERS); rr;
     srr.rr[found++] = (void *) s;
     }
 
-srr.num_rr = found;
+/* Did we filter out all TXT RRs? Return NO_DATA instead of SUCCESS with
+empty ANSWER section. */
+
+if (!(srr.num_rr = found))
+  srr.herrno = NO_DATA;
+
 /* spfrr->rr must have been malloc()d for this */
 SPF_dns_rr_dup(&spfrr, &srr);
 return spfrr;

